Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jedit.lang
Class ShellScriptTokenMarker

    java.lang.Object
      jedit.TokenMarker
          jedit.lang.ShellScriptTokenMarker

    public class ShellScriptTokenMarker

extends TokenMarker

Shell script token marker.

Version:
  $Id: ShellScriptTokenMarker.java,v 1.1 2004/05/05 10:44:26 jferber Exp $
Author:
  Slava Pestov

Nested Class Summary

Nested classes/interfaces inherited from class jedit.TokenMarker
`TokenMarker.LineInfo`

Field Summary
`static byte` | `LVARIABLE`

Fields inherited from class jedit.TokenMarker
`firstToken, lastLine, lastToken, length, lineInfo, nextLineRequested`

Constructor Summary
`ShellScriptTokenMarker()`

Method Summary
`byte` | `markTokensImpl(byte token, javax.swing.text.Segment line, int lineIndex)` An abstract method that splits a line up into tokens.

Methods inherited from class jedit.TokenMarker
`addToken, deleteLines, ensureCapacity, getLineCount, insertLines, isNextLineRequested, markTokens, supportsMultilineTokens`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LVARIABLE

    public static final byte LVARIABLE

See Also:
  Constant Field Values

Constructor Detail

### ShellScriptTokenMarker

    public ShellScriptTokenMarker()

Method Detail

### markTokensImpl

    public byte markTokensImpl(byte token,
                               javax.swing.text.Segment line,
                               int lineIndex)

  Description copied from class: `TokenMarker`
  An abstract method that splits a line up into tokens. It should parse the line, and call `addToken()` to add syntax tokens to the token list. Then, it should return the initial token type for the next line.

  For example if the current line contains the start of a multiline comment that doesn't end on that line, this method should return the comment token type so that it continues on the next line.

  Specified by:
    `markTokensImpl` in class `TokenMarker`
  Parameters:
    `token` - The initial token type for this line
    `line` - The line to be tokenized
    `lineIndex` - The index of the line in the document, starting at 0
  Returns:
    The initial token type for the next line

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.